# 2 Dimensional Ising Model: src/phase_transition.cpp File Reference

Loading...
Searching...
No Matches
phase_transition.cpp File Reference

Sweep over different temperatures and generate data. More...

`#include "data_type.hpp"`
`#include "monte_carlo.hpp"`
`#include "utils.hpp"`
`#include <getopt.h>`
`#include <omp.h>`
`#include <string>`

Go to the source code of this file.

## Functions

void | usage (std::string filename)
| A function that displays how to use the program and quits.
int | main (int argc, char **argv)
| The main function.

## Detailed Description

Sweep over different temperatures and generate data.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
  1.0

This program takes in 4 arguments: the start temperature, the end temperature, the amount of temperature points to simulate, and the amount of monte carlo samples to collect, in that order.

Bug:
  No known bugs

Definition in file phase_transition.cpp.

## Function Documentation

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

The main function.

Definition at line 35 of file phase_transition.cpp.

## usage()

void usage | ( | std::string | filename | ) |

A function that displays how to use the program and quits.

Definition at line 25 of file phase_transition.cpp.